--[[

This file is part of RampageAI.

RampageAI is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

RampageAI is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with RampageAI; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

--]]

-------------------------
-- Sequencer Constants --
-------------------------

-- These match up with *_CMD from GetMsg()
SEQ_NONE		= 0	-- { Cmd }
SEQ_MOVE		= 1	-- { Cmd, X, Y }
SEQ_ATTACK		= 3	-- { Cmd, --unused-- }
SEQ_SKILL_OBJECT	= 7	-- { Cmd, Level, Type, Target }
SEQ_SKILL_AREA		= 8	-- { Cmd, Level, Type, X, Y }

-- These are custom, and have no GetMsg() equivalent
SEQ_MOVE_TO		= 10	-- { Cmd, Target, (opt)Distance }
SEQ_SET_TARGET		= 11	-- { Cmd, Target, Lock }
SEQ_SET_HOLD		= 12	-- { Cmd, Hold }
SEQ_MOVE_TO_POS		= 13	-- { Cmd, Target, (+)Distance }
SEQ_MOVE_TO_NEG		= 14	-- { Cmd, Target, (-)Distance }
SEQ_PREROUTED		= 15	-- { Cmd, Target, DeltaCoords, (opt)Rotations,
				--			(opt)Reverse }
SEQ_KITE		= 16	-- { Cmd, --unused--, (opt)Distance }

--------------------
-- AI Mode Consts --
--------------------

MODE_PASSIVE	= 0
MODE_AGGRO	= 1

-----------------------
-- Skill-type Consts --
-----------------------

SKILL_TYPE_MELEE	= 0
SKILL_TYPE_RANGED	= 1
SKILL_TYPE_SUPPORT	= 2
SKILL_TYPE_HEAL		= 3

-------------------
-- Potion Colors --
-------------------

AIDPOT_RED	= 1
AIDPOT_ORANGE	= 2
AIDPOT_YELLOW	= 3
AIDPOT_WHITE	= 4
AIDPOT_BLUE	= 5

